log4cpp: log4cpp::IdsaAppender Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::IdsaAppender Class Reference

IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz. More...

`#include <IdsaAppender.hh>`

Inheritance diagram for log4cpp::IdsaAppender:

[legend]
Collaboration diagram for log4cpp::IdsaAppender:

[legend]
List of all members.

## Public Member Functions
| IdsaAppender (const std::string &name, const std::string &idsaName)
| Instantiate an IdsaAppender with given name and name.
virtual | ~IdsaAppender ()
virtual bool | reopen ()
| Calls idsa_open() and idsa_close().
virtual void | close ()
| Calls idsa_close().
virtual bool | requiresLayout () const
| The IdsaAppender does its own Layout.
virtual void | setLayout (Layout *layout)
| Set the Layout for this appender.
## Protected Member Functions
virtual void | open ()
| Calls idsa_open().
virtual void | _append (const LoggingEvent &event)
| Sends a LoggingEvent to idsa.
## Protected Attributes
const std::string | _idsaName
IDSA_CONNECTION * | _idsaConnection

## Detailed Description

IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz.

See http://jade.cs.uct.ac.za/idsa/ for more information on IDS/A.

## Constructor & Destructor Documentation

log4cpp::IdsaAppender::IdsaAppender | ( | const std::string & | name,
|  | const std::string & | idsaName |
| ) |  |  |

Instantiate an IdsaAppender with given name and name.

Unlike the syslog API, idsa allows multiple connections.

Parameters:

  | name | The name of the Appender
  | idsaName | The service parameter of idsa

virtual log4cpp::IdsaAppender::~IdsaAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool log4cpp::IdsaAppender::reopen | ( |  | ) | `[virtual]`

Calls idsa_open() and idsa_close().

Reimplemented from log4cpp::AppenderSkeleton.

virtual void log4cpp::IdsaAppender::close | ( |  | ) | `[virtual]`

Calls idsa_close().

Implements log4cpp::AppenderSkeleton.

virtual bool log4cpp::IdsaAppender::requiresLayout | ( |  | ) | const`[virtual]`

The IdsaAppender does its own Layout.

Returns:
  false

Implements log4cpp::AppenderSkeleton.

virtual void log4cpp::IdsaAppender::setLayout | ( | Layout * | layout | ) | `[virtual]`

Set the Layout for this appender.

Parameters:

  | layout | The layout to use.

Implements log4cpp::AppenderSkeleton.

virtual void log4cpp::IdsaAppender::open | ( |  | ) | `[protected, virtual]`

Calls idsa_open().

virtual void log4cpp::IdsaAppender::_append | ( | const LoggingEvent & | event | ) | `[protected, virtual]`

Sends a LoggingEvent to idsa.

Parameters:

  | event | the LoggingEvent to log.

Implements log4cpp::AppenderSkeleton.

## Member Data Documentation

const std::string log4cpp::IdsaAppender::_idsaName`[protected]`

IDSA_CONNECTION* log4cpp::IdsaAppender::_idsaConnection`[protected]`

The documentation for this class was generated from the following file:

- IdsaAppender.hh